#! /bin/csh -f
#===============================================================================
# CVS $Id: datm.setup.csh,v 1.15 2002/05/08 03:04:11 tcraig Exp $
# CVS $Source: /fs/cgd/csm/models/CVS.REPOS/scripts/test.a1/datm.setup.csh,v $
# CVS $Name: ccsm2_0_beta46 $
#===============================================================================
# datm.setup.csh: Prepare a CSM data atmosphere component, datm5, for execution
#                 For help, see:  www.ccsm.ucar.edu/models/ccsm2.0
#===============================================================================

cat $0;$TOOLS/ccsm_checkenvs || exit -1            # cat this file, check envs

echo ---------------------------------------------------------------------------
echo  a. set environment variables, preposition input data files             
echo ---------------------------------------------------------------------------

#if ( $GRID =~ T31*) set DATA_DIR = mss:/SHIELDS/csm/f023.02/datm/data
#if ( $GRID =~ T42*) set DATA_DIR = mss:/BOVILLE/csm/f015.00/datm/data
if ( $GRID =~ T31*) set DATA_DIR = cp:$CSMDATA/atm/datm5
if ( $GRID =~ T42*) set DATA_DIR = cp:$CSMDATA/atm/datm5
set DATA_DIR = null:$CSMDATA/xxx

if ( $GRID =~ T31*) then
  rm -f 0005-01.nc
  rm -f 0009-12.nc
  rm -f 9005-01.nc
  rm -f 9009-12.nc
  $TOOLS/ccsm_getinput atm/datm5/9005-01.nc 0005-01.nc
  $TOOLS/ccsm_getinput atm/datm5/9009-12.nc 0009-12.nc
endif
if ( $GRID =~ T42*) then
  rm -f 0005-01.nc
  rm -f 0009-12.nc
  $TOOLS/ccsm_getinput atm/datm5/0005-01.nc
  $TOOLS/ccsm_getinput atm/datm5/0009-12.nc
endif

set RUN_TYPE = $RUNTYPE
if ($RUNTYPE == startup) set RUN_TYPE = initial
if ($RUNTYPE == hybrid)  set RUN_TYPE = initial

echo ---------------------------------------------------------------------------
echo  b. create the namelist input file                                      
echo ---------------------------------------------------------------------------

cat >! $MODEL.stdin << EOF
 &inparm
  case_name  = '$CASE'
  case_desc  = '$CASE $CASESTR'
  rest_type  = '$RUN_TYPE'
  ncpl       =  24
  data_dir   = '$DATA_DIR'
  data_year0 =  5
  data_nyear =  1
  data_oyear =  1
  flux_albfb =  1
 /
EOF

echo ---------------------------------------------------------------------------
echo  c. Build an executable in $OBJROOT
echo ---------------------------------------------------------------------------

# Filepath: List of source code directories (in order of importance).
#--------------------------------------------------------------------

cd $OBJDIR

\cat >! Filepath << EOF
$SCRIPTS/src.$MODEL
$CSMCODE/atm/datm5
$CSMSHR
EOF

# Check to see if a new dims.h is needed.

cmp -s $CSMCODE/atm/datm5/dims.h.$ATM_GRID dims.h || \
    cp $CSMCODE/atm/datm5/dims.h.$ATM_GRID dims.h  || exit 3


# run make
#--------------------------------------------------------------------

if ($BLDTYPE == 'true') then
  cc -o makdep $CSMBLD/makdep.c                              || exit 2
  if ($NTHRD > 1) setenv THREAD TRUE
  gmake -j 6 VPFILE=Filepath MODEL=datm EXEC=$EXEDIR/$MODEL \
      -f  $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS    || exit 2
else
  echo "BLDTYPE = $BLDTYPE"
endif
                                         
# document the source code used, cleanup $OBJDIR files
#--------------------------------------------------------------------

grep 'CVS' *.[hf]*                       
#gmake -f $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS mostlyclean

echo ' '
echo ===========================================================================
echo  End of setup shell script  `date` 
echo ===========================================================================
