#! /bin/csh -f
#===============================================================================
# CVS $Id: dice.setup.csh,v 1.22 2002/05/08 03:04:11 tcraig Exp $
# CVS $Source: /fs/cgd/csm/models/CVS.REPOS/scripts/test.a1/dice.setup.csh,v $
# CVS $Name: ccsm2_0_beta46 $
#===============================================================================
# dice.setup.csh: Prepare a CSM data iceosphere component, dice5, for execution
#                 For help, see:  www.ccsm.ucar.edu/models/ccsm2.0
#===============================================================================

cat $0;$TOOLS/ccsm_checkenvs || exit -1            # cat this file, check envs

echo ---------------------------------------------------------------------------
echo  a. set environment variables, preposition input data files             
echo ---------------------------------------------------------------------------

rm -f data.sst.nc ; rm -f data.domain.nc 

if ($ICE_GRID == 'gx3'  ) set FILE_DOMAIN = domain.gx3_010202.nc
if ($ICE_GRID == 'gx1v3') set FILE_DOMAIN = domain.gx1v3_010723.nc
set FILE_SST = sst.str_970911.nc

$TOOLS/ccsm_getinput ice/dice5/$FILE_SST     data.sst.nc    || exit 99
$TOOLS/ccsm_getinput ice/dice5/$FILE_DOMAIN  data.domain.nc || exit 99

set REST_BFILE  = 'null'
set BASEDATE = `echo $BASEDATE | sed -e 's/-//g'`
if ($RUNTYPE == branch) then
 set REST_BFILE = $REFCASE.dice5.r.${REFDATE}-00000
 echo  set REST_BFILE = $REST_BFILE
 $TOOLS/ccsm_getfile $REFCASE/$MODEL/${REST_BFILE} || exit 99
 set BASEDATE = `echo $REFDATE | sed -e 's/-//g'`
endif

set RUN_TYPE = $RUNTYPE
if ($RUNTYPE == startup) set RUN_TYPE = initial
if ($RUNTYPE == hybrid)  set RUN_TYPE = initial

echo ---------------------------------------------------------------------------
echo  b. create the namelist input file                                      
echo ---------------------------------------------------------------------------

cat >! $MODEL.stdin << EOF
 &inparm
  case_name  = '$CASE '
  case_desc  = '$CASE $CASESTR '
  rest_type  = '$RUN_TYPE '
  rest_date  =  $BASEDATE
  rest_bfile = '$REST_BFILE '
  rest_pfile = '$SCRIPTS/rpointer.ice '
  ncpl       = 24
  data_dir   = 'local'
  mss_rmlf   =  0
  mss_dir    = '$MSSDIR/ice/ '
  mss_rtpd   =  $MSSRPD
  mss_pass   = '$MSSPWD '
  /
EOF

echo ---------------------------------------------------------------------------
echo  c. Build an executable in $OBJDIR
echo ---------------------------------------------------------------------------

# Filepath: List of source code directories (in order of importance).
#--------------------------------------------------------------------

cd $OBJDIR

\cat >! Filepath << EOF
$SCRIPTS/src.$MODEL
$CSMCODE/ice/dice5
$CSMSHR
EOF

# Check to see if a new dims.h is needed.

cmp -s $CSMCODE/ice/dice5/dims.h.$ICE_GRID dims.h || \
    cp $CSMCODE/ice/dice5/dims.h.$ICE_GRID dims.h || exit 3


# run make
#--------------------------------------------------------------------

if ($BLDTYPE == 'true') then
  cc -o makdep $CSMBLD/makdep.c                              || exit 2
  if ($NTHRD > 1) setenv THREAD TRUE
  gmake -j 6 VPFILE=Filepath MODEL=dice EXEC=$EXEDIR/$MODEL \
      -f  $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS    || exit 2
else
  echo "BLDTYPE = $BLDTYPE"
endif
                                         
# document the source code used, cleanup $OBJDIR files
#--------------------------------------------------------------------

grep 'CVS' *.[hf]*                       
#gmake -f $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS mostlyclean

echo ' '
echo ===========================================================================
echo  End of setup shell script  `date` 
echo ===========================================================================



