#! /bin/csh -f
#===============================================================================
# CVS $Id: dlnd.setup.csh,v 1.17 2002/05/08 03:04:11 tcraig Exp $
# CVS $Source: /fs/cgd/csm/models/CVS.REPOS/scripts/test.a1/dlnd.setup.csh,v $
# CVS $Name: ccsm2_0_beta46 $
#===============================================================================
# dlnd.setup.csh: Prepare a CSM data land component, dlnd5, for execution
#                 For help, see:  www.ccsm.ucar.edu/models/ccsm2.0
#===============================================================================

cat $0;$TOOLS/ccsm_checkenvs || exit -1            # cat this file, check envs

echo ---------------------------------------------------------------------------
echo  a. set environment variables, preposition input data files             
echo ---------------------------------------------------------------------------

#if ( $GRID =~ T31*) set DATA_DIR = mss:/SHIELDS/csm/f023.02/dlnd/data
#if ( $GRID =~ T42*) set DATA_DIR = mss:/BOVILLE/csm/f015.00/dlnd/data
#if ( $GRID =~ T62*) set DATA_DIR = mss:/BOVILLE/csm/XXc.01/dlnd/proc.t62
if ( $GRID =~ T31*) set DATA_DIR = cp:$CSMDATA/lnd/dlnd5
if ( $GRID =~ T42*) set DATA_DIR = cp:$CSMDATA/lnd/dlnd5
if ( $GRID =~ T62*) set DATA_DIR = cp:$CSMDATA/lnd/dlnd5
set DATA_DIR = null:$CSMDATA/xxx

if ( $GRID =~ T31*) then
  rm -f lsmh_9005.nc
  rm -f lsmh_9009.nc
  rm -f lsmh_0005.nc
  rm -f lsmh_0009.nc
  $TOOLS/ccsm_getinput lnd/dlnd5/lsmh_9005.nc lsmh_0005.nc
  $TOOLS/ccsm_getinput lnd/dlnd5/lsmh_9009.nc lsmh_0009.nc
endif
if ( $GRID =~ T42*) then
  rm -f lsmh_0005.nc
  rm -f lsmh_0009.nc
  $TOOLS/ccsm_getinput lnd/dlnd5/lsmh_0005.nc
  $TOOLS/ccsm_getinput lnd/dlnd5/lsmh_0009.nc
endif
if ( $GRID =~ T62*) then
  rm -f lsmh_0016.nc
  $TOOLS/ccsm_getinput lnd/dlnd5/lsmh_0016.nc
endif

set RUN_TYPE = $RUNTYPE
if ($RUNTYPE == startup) set RUN_TYPE = initial
if ($RUNTYPE == hybrid)  set RUN_TYPE = initial

echo ---------------------------------------------------------------------------
echo  b. create the namelist input file                                      
echo ---------------------------------------------------------------------------

cat >! $MODEL.stdin << EOF
 &inparm
  case_name  = '$CASE'
  case_desc  = '$CASE $CASESTR'
  rest_type  = '$RUN_TYPE'
  ncpl       = 24
  data_dir   = '$DATA_DIR'
  data_year0 =  5
  data_nyear =  5
  data_oyear =  1
  data_fix    =  'sign'
  data_mask   =  'cpl'
 /
EOF

echo ---------------------------------------------------------------------------
echo  c. Build an executable in $OBJDIR
echo ---------------------------------------------------------------------------

# Filepath: List of source code directories (in order of importance).
#--------------------------------------------------------------------

cd $OBJDIR

\cat >! Filepath << EOF
$SCRIPTS/src.$MODEL
$CSMCODE/lnd/dlnd5
$CSMSHR
EOF

# Check to see if a new dims.h is needed.

cmp -s $CSMCODE/lnd/dlnd5/dims.h.$LND_GRID dims.h || \
    cp $CSMCODE/lnd/dlnd5/dims.h.$LND_GRID dims.h  || exit 3


# run make
#--------------------------------------------------------------------

if ($BLDTYPE == 'true') then
  cc -o makdep $CSMBLD/makdep.c                              || exit 2
  gmake -j 6 VPFILE=Filepath MODEL=dlnd EXEC=$EXEDIR/$MODEL \
      -f  $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS    || exit 2
else
  echo "BLDTYPE = $BLDTYPE"
endif
                                         
# document the source code used, cleanup $OBJDIR files
#--------------------------------------------------------------------

grep 'CVS' *.[hf]*                       
#gmake -f $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS mostlyclean

echo ' '
echo ===========================================================================
echo  End of setup shell script  `date` 
echo ===========================================================================
