#! /bin/csh -f
#===============================================================================
# CVS $Id: docn.setup.csh,v 1.26 2002/05/10 20:27:19 tcraig Exp $
# CVS $Source: /fs/cgd/csm/models/CVS.REPOS/scripts/test.a1/docn.setup.csh,v $
# CVS $Name: ccsm2_0_beta46 $
#===============================================================================
# docn.setup.csh: Prepare a CSM data ocnosphere component, docn5, for execution
#                 For help, see:  www.ccsm.ucar.edu/models/ccsm2.0
#===============================================================================

cat $0;$TOOLS/ccsm_checkenvs || exit -1            # cat this file, check envs

echo ---------------------------------------------------------------------------
echo  a. set environment variables, preposition input data files
echo ---------------------------------------------------------------------------

set RUN_TYPE = $RUNTYPE
if ($RUNTYPE == startup) set RUN_TYPE = initial
if ($RUNTYPE == hybrid)  set RUN_TYPE = initial

set DATA_DIR = $CSMDATA/ocn/docn5

set MULTIYEAR_SST = .false.
if ($MULTIYEAR_SST == .true.) then
  if ($OCN_GRID == 'gx3'  ) set FILE_SST = AMIP_bc${OCN_GRID}_1976-1996_011030.nc
  if ($OCN_GRID == 'gx1v3') set FILE_SST = AMIP_bc${OCN_GRID}_1976-1996_010817.nc
  set DATA_FORM = 'multiyear'
  set DATA_SSTNAME = 'SST_cpl'
else
  set FILE_SST = sst.str_970911.nc
  set DATA_FORM = 'annual'
  set DATA_SSTNAME = 'T'
endif

if ($OCN_GRID == 'gx3'  ) set FILE_DOMAIN = domain.gx3_010202.nc
if ($OCN_GRID == 'gx1v3') set FILE_DOMAIN = domain.gx1v3_010723.nc
$TOOLS/ccsm_getinput ocn/docn5/$FILE_SST         || exit 99
$TOOLS/ccsm_getinput ocn/docn5/$FILE_DOMAIN      || exit 99

echo ---------------------------------------------------------------------------
echo  b. create the namelist input file
echo ---------------------------------------------------------------------------

cat >! $MODEL.stdin << EOF
 &inparm
  case_name    = '$CASE '
  case_desc    = '$CASE $CASESTR '
  rest_type    = '$RUN_TYPE '
  data_dir     = '$DATA_DIR'
  domain_file  = '$FILE_DOMAIN'
  data_file    = '$FILE_SST'
  data_form    = '$DATA_FORM'
  data_sstname = '$DATA_SSTNAME'
  data_lonname = 'xc'
  data_latname = 'yc'
  ncpl         =  1
  /
EOF

echo ---------------------------------------------------------------------------
echo  c. Build an executable in $OBJDIR
echo ---------------------------------------------------------------------------

# Filepath: List of source code directories (in order of importance).
#--------------------------------------------------------------------

cd $OBJDIR

\cat >! Filepath << EOF
$SCRIPTS/src.$MODEL
$CSMCODE/ocn/docn5
$CSMSHR
EOF

# run make
#--------------------------------------------------------------------

if ($BLDTYPE == 'true') then
  cc -o makdep $CSMBLD/makdep.c                              || exit 2
  if ($NTHRD > 1) setenv THREAD TRUE
  gmake -j 6 VPFILE=Filepath MODEL=docn EXEC=$EXEDIR/$MODEL \
      -f  $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS    || exit 2
else
  echo "BLDTYPE = $BLDTYPE"
endif

# document the source code used, cleanup $OBJDIR files
#--------------------------------------------------------------------

grep 'CVS' *.[hf]*
#gmake -f $CSMBLD/Makefile MACFILE=$CSMBLD/Macros.$OS mostlyclean

echo ' '
echo ===========================================================================
echo  End of setup shell script  `date`
echo ===========================================================================


